User TWAP summaries
curl --request POST \
--url 'https://api.hypedexer.com/info#userTwapSummaries' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "userTwapSummaries",
"user": "0xb4bf...629b",
"limit": 3
}
'import requests
url = "https://api.hypedexer.com/info#userTwapSummaries"
payload = {
"type": "userTwapSummaries",
"user": "0xb4bf...629b",
"limit": 3
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'userTwapSummaries', user: '0xb4bf...629b', limit: 3})
};
fetch('https://api.hypedexer.com/info#userTwapSummaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hypedexer.com/info#userTwapSummaries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'userTwapSummaries',
'user' => '0xb4bf...629b',
'limit' => 3
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hypedexer.com/info#userTwapSummaries"
payload := strings.NewReader("{\n \"type\": \"userTwapSummaries\",\n \"user\": \"0xb4bf...629b\",\n \"limit\": 3\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hypedexer.com/info#userTwapSummaries")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"userTwapSummaries\",\n \"user\": \"0xb4bf...629b\",\n \"limit\": 3\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hypedexer.com/info#userTwapSummaries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"userTwapSummaries\",\n \"user\": \"0xb4bf...629b\",\n \"limit\": 3\n}"
response = http.request(request)
puts response.read_body[
{
"twapId": 2464815,
"state": {
"coin": "ENA",
"user": "0xb4bf...629b",
"side": "A",
"sz": "527398",
"executedSz": "0",
"executedNtl": "0",
"minutes": 450,
"reduceOnly": false,
"randomize": false,
"timestamp": 1793423784794
},
"status": "activated"
},
{
"twapId": 2185568,
"state": {
"coin": "xyz:HOOD",
"user": "0xb4bf...629b",
"side": "B",
"sz": "269.034",
"executedSz": "269.034",
"executedNtl": "32584.51507",
"minutes": 30,
"reduceOnly": false,
"randomize": false,
"timestamp": 1788604088768
},
"status": "finished"
}
]{
"error": "Invalid API key"
}Account History
User TWAP summaries
Latest state of each TWAP order of a wallet: parameters, executed size and notional, and the last status. Most recently created first. For every status change, use userTwapStatusesByTime; for the fills, userTwapSliceFills.
POST
/
info#userTwapSummaries
User TWAP summaries
curl --request POST \
--url 'https://api.hypedexer.com/info#userTwapSummaries' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "userTwapSummaries",
"user": "0xb4bf...629b",
"limit": 3
}
'import requests
url = "https://api.hypedexer.com/info#userTwapSummaries"
payload = {
"type": "userTwapSummaries",
"user": "0xb4bf...629b",
"limit": 3
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'userTwapSummaries', user: '0xb4bf...629b', limit: 3})
};
fetch('https://api.hypedexer.com/info#userTwapSummaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hypedexer.com/info#userTwapSummaries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'userTwapSummaries',
'user' => '0xb4bf...629b',
'limit' => 3
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hypedexer.com/info#userTwapSummaries"
payload := strings.NewReader("{\n \"type\": \"userTwapSummaries\",\n \"user\": \"0xb4bf...629b\",\n \"limit\": 3\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hypedexer.com/info#userTwapSummaries")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"userTwapSummaries\",\n \"user\": \"0xb4bf...629b\",\n \"limit\": 3\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hypedexer.com/info#userTwapSummaries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"userTwapSummaries\",\n \"user\": \"0xb4bf...629b\",\n \"limit\": 3\n}"
response = http.request(request)
puts response.read_body[
{
"twapId": 2464815,
"state": {
"coin": "ENA",
"user": "0xb4bf...629b",
"side": "A",
"sz": "527398",
"executedSz": "0",
"executedNtl": "0",
"minutes": 450,
"reduceOnly": false,
"randomize": false,
"timestamp": 1793423784794
},
"status": "activated"
},
{
"twapId": 2185568,
"state": {
"coin": "xyz:HOOD",
"user": "0xb4bf...629b",
"side": "B",
"sz": "269.034",
"executedSz": "269.034",
"executedNtl": "32584.51507",
"minutes": 30,
"reduceOnly": false,
"randomize": false,
"timestamp": 1788604088768
},
"status": "finished"
}
]{
"error": "Invalid API key"
}Authorizations
Your Hypedexer API key, sent as Authorization: Bearer <key>. The X-API-Key: <key> header and the api_key query parameter are accepted as well.
Body
application/json